Bug 118451 - Traceback while trying to delete a partition.
Traceback while trying to delete a partition.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks: FC2Blocker
  Show dependency treegraph
 
Reported: 2004-03-16 15:13 EST by Ben Levenson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 1.6.6-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-15 12:03:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anacdump.txt (72.39 KB, text/plain)
2004-03-16 15:14 EST, Ben Levenson
no flags Details

  None (edit)
Description Ben Levenson 2004-03-16 15:13:48 EST
Description of problem:
Traceback (most recent call last):
  File "/usr/lib/anaconda/iw/partition_gui.py", line 954, in deleteCb
    if doDeletePartitionByRequest(self.intf, self.partitions,
curselection):
  File "/usr/lib/anaconda/partIntfHelpers.py", line 153, in
doDeletePartitionByRequest
    elif partition.type & parted.PARTITION_PROTECTED:
AttributeError: 'module' object has no attribute 'PARTITION_PROTECTED'

Local variables in innermost frame:
intf: <gui.InstallInterface instance at 0xb7ba1dec>
partition: <PedPartition object at 0xb80239e0>
requestlist: <partitions.Partitions instance at 0xb7db4d0c>
quiet: 0
confirm: 1


Version-Release number of selected component (if applicable):
 tree: rawhide-20040316/i386
 media: boot.iso
 type: NFS - GUI
Comment 1 Ben Levenson 2004-03-16 15:14:29 EST
Created attachment 98581 [details]
anacdump.txt

full anaconda dump
Comment 2 Jeremy Katz 2004-03-16 16:32:48 EST
Fixed with pyparted-1.6.6-2

Note You need to log in before you can comment on or make changes to this bug.